Bug 12481 - Pakfire - switching between Stable/Testing - finer granularity
Summary: Pakfire - switching between Stable/Testing - finer granularity
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: IPFire
Classification: Unclassified
Component: --- (show other bugs)
Version: 2
Hardware: all All
: - Unknown - Minor Usability
Assignee: Assigned to nobody - feel free to grab it and work on it
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-04 17:18 UTC by Bug Mann
Modified: 2022-06-29 19:58 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bug Mann 2020-09-04 17:18:10 UTC
It's great to be able to switch from Stable to Testing from Web GUI.
However, when the Stable version is released after Testing, switching the repository back does not trigger stable download. Firewall stuck on Testing version.
Would be good for Pakfire to recognise Stable version as newer so that it updates. A finer granularity of version recognition I guess.
Thanks
Comment 1 Michael Tremer 2020-10-05 15:42:33 UTC
I am not sure what you are suggestion, but when you change back to "stable", the last Core Update is reinstalled again which should bring you back to where you want to be.

Is this what you are expecting?
Comment 2 Bug Mann 2020-10-05 17:41:02 UTC
Say you are testing IPFire 2.25 Core Update 151 Development Build: master:abcdef

When 2.25 Core Update 151 Stable is released, you should be able to switch from Testing to Stable and have it download/install. Not wait for 2.25 Update 152 or later.
Comment 3 Michael Tremer 2020-10-06 11:55:46 UTC
What is stopping you from changing back to the stable branch? As mentioned, the final update will be installed again on your system.
Comment 4 Bug Mann 2020-10-06 11:59:32 UTC
I have tried that on several firewalls and on different testing versions. Never worked. Have always had to backup and manually install Stable version. Maybe a Pakfire bug?
Comment 5 Michael Tremer 2020-10-06 12:00:18 UTC
Can you provide log files?
Comment 6 Paul Simmons 2021-05-04 17:02:37 UTC
Does the logic in pakfire.cgi decrement /opt/pakfire/db/core/mine when switching the repo from testing to stable?  If not, I think it should.
Comment 7 Michael Tremer 2021-05-06 15:13:00 UTC
It should kick in and reinstall the previous update. It is enabled for any repository apart from stable.
Comment 8 Peter Müller 2022-06-29 19:58:17 UTC
Closing this, since no sufficient log data has been provided. Please reopen, if necessary.